# norootforbuild

%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  %{_var}/lib/pear

Name:				php5-pear-console_getargs
Version:			1.3.4
Release:			3.6
Summary:			A command-line arguments parser
License:			PHP License
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/Console_Getargs
Source0:			http://pear.php.net/get/Console_Getargs-%{version}.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

%if 0%{?suse_version} >= 1010
Requires:               php5-pear
BuildRequires:          php5-pear
%endif

%if 0%{?suse_version} < 1010 && 0%{?suse_version} > 0
Requires:               php4-pear
BuildRequires:          php4-pear
%endif

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
Requires:               php-pear
BuildRequires:          php-pear
%endif

%description
The Console_Getargs package implements a Command Line arguments and
parameters parser for your CLI applications. It performs some basic
arguments validation and automatically creates a formatted help text,
based on the given configuration.

Authors:
--------
	Bertrand Mansion
	Scott Mattocks
	Christian Wenz


%prep
%setup -c 
pear -v -c pearrc \
		  -d php_dir=%{peardir} \
		  -d doc_dir=/docs \
   	  -d bin_dir=%{_bindir} \
		  -d data_dir=%{peardir}/data \
		  -d test_dir=%{peardir}/tests \
		  -d ext_dir=%{_libdir} \
		  -s

%build
%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}
%__mv %{buildroot}/docs .

# Install XML package description
%__mkdir_p %{buildroot}%{xmldir}
%__tar -xzf %{SOURCE0} package.xml
%__cp package.xml %{buildroot}%{xmldir}/Console_Getargs.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Console_Getargs.xml

%postun
if [ "$1" -eq "0" ]; then
	pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Console_Getargs
fi

%files
%defattr(-, root, root)
%doc docs/Console_Getargs
%dir %{peardir}/Console
%dir %{peardir}/tests/Console_Getargs
%dir %{peardir}/tests/Console_Getargs/tests
%{peardir}/Console/Getargs.php
%{peardir}/tests/Console_Getargs/tests/*.php
%{xmldir}/Console_Getargs.xml

%changelog
* Mon Dec 10 2007 Marcus Hüwe <suse-tux@gmx.de>
- initial build
